# -*- encoding: utf-8 -*-
# stub: valid_items 0.0.11 ruby lib

Gem::Specification.new do |s|
  s.name = "valid_items".freeze
  s.version = "0.0.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Vinny Glennon".freeze]
  s.date = "2018-05-31"
  s.description = "Goes through all your Rails ActiveRecord objects and check if they are all still pass your model validations. You may have added new validations to your model since creating your object, or ran update_column in your console to solve a production issue. Find issues in your db before others do. Inspired by a RailsConf talk by Ryan Laughlin and his talk at http://www.rofreg.com/talks/railsconf2018".freeze
  s.email = "vinnyglennon@gmail.com".freeze
  s.homepage = "http://rubygems.org/gems/valid_items".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Check that all your Rails ActiveRecord Objects still pass their model validations".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.50.0"])
    s.add_runtime_dependency(%q<rails>.freeze, [">= 5", "< 6.0"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.50.0"])
    s.add_dependency(%q<rails>.freeze, [">= 5", "< 6.0"])
  end
end
